@extends ('layouts.patient')

@section('section-title')
    Patient Dashboard
@endsection

@section('inner-content')
    <div>
        <h1>Sample info line moe</h1>
        <div moe>
            <form show url="/api/clientInfoLine/create">
                <input type="hidden" name="clientUid" value="{{$patient->uid}}">
                <input type="text" name="category" value="" value="" placeholder="category"><br>
                <input type="text" name="contentText" placeholder="content text"><br>
                <input type="text" name="whatDoesTheFoxSay" placeholder="What does the fox say?"><br>
                <button submit>Submit</button>
            </form>
        </div>
    </div>

    <div>
        <h1>Sample measurement moe</h1>
        <div moe>
            <form show url="/api/measurement/create">
                <input type="hidden" name="clientUid" value="{{$patient->uid}}">
                <input type="text" name="label" value="" value="" placeholder="label"><br>
                <input type="text" name="value" placeholder="value"><br>
                <input type="date" name="effectiveDate" placeholder="value"><br>
                <input type="text" name="memo" placeholder="memo"><br>
                <button submit>Submit</button>
            </form>
        </div>
        <div>
            <h1>Measurements</h1>
            <?php $measurements = json_decode($patient->latest_measurements);?>
            <table class="table table-striped table-sm">
                <thead>
                    <tr>
                        <th>Label</th>
                        <th>Value</th>
                        <th>Effective date</th>
                        <th>Memo</th>
                    </tr>
                </thead>
                <tbody>
                    @if($measurements)
                    @foreach ($measurements as $label => $data)
                    <tr>
                        <td>{{$label}}</td>
                        <td>{{$data->value}}</td>
                        <td>{{$data->effectiveDate}}</td>
                        <td>{{$data->memo}}</td>
                    </tr>
                    @endforeach
                    @endif
                </tbody>
            </table>
        </div>
    </div>
    <pre>
        CARE PLAN: [edit]

            Current Medications:

            Dx & Focus Areas:

                Title | ICD | Chronic or Acute | Prognosis | Treatment Goal | Treatment Plan

            Care Team:

                Name | Specialty | Organization | Phone | Fax | Next Appointment | Memo

            Recent Measurements:

                Vitals:

                    BP: 120 / 80
                    HR: 100 bpm
                    Temp: 103.0 F
                    RR: 39 rpm
                    Ht: 5' 10"
                    Wt: 230 lbs
                    BMI: 33
                    SpO2: 3.0%
                    Inhaled O2: 4.0%

                Lab:

                    A1c:
                    LDL:
                    HDL:
                    Trigs:

                Other:

                    ...

            History:

                Medical:
                Surgical:
                Family:
                Social:
                OB & Preg:
                Hospitalizations / Procedures:

			Screenings:
                Colonoscopy:
                Mammogram:
                ...//TODO checklist

        RECENT E&M NOTES:
            # | HCP | Date | Name | DOB | Title | Bill(s)
    </pre>
@endsection
